Skip to content
View as Markdown

GET Get Campaign Unsubscribers​

GET
/campaigns/{id}/unsubscribers

Get a paginated list of contacts who unsubscribed as a result of this campaign. Each record includes the subscriber details and their unsubscribe reason.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Query Parameters

per_page

Number of results per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Unsubscribers list retrieved successfully.

application/json
JSON
{
"unsubscribes": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"campaign_id": 0,
"subscriber_id": 0,
"type": "unsubscribe",
"created_at": "string",
"subscriber": {
"id": 0,
"email": "string",
"first_name": "string",
"last_name": "string",
"status": "string",
"reason": "string"
}
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI